console.info('ITEMS Spaceeeeeee')

onEvent('item.registry', i => {
	i.create('rubber').displayName('Rubber')
	i.create('raw_rubber').displayName('Raw Rubber')
	i.create('raw_fricadelle').displayName('Raw Fricadelle')
	i.create('cement').displayName('Cement')
	i.create('petcoke_graphite_ingot').displayName('Petcoke Graphite Ingot')
	i.create('automanism').displayName('Automanism')
	i.create('charged_certus_quartz_crystal').displayName('Charged Certus Quartz Crystal')
	i.create('certus_quartz_crystal').displayName('Certus Quartz Crystal')
	i.create('screen').displayName('Screen')
	i.create('small_motor').displayName('Small Motor').parentModel("kubejs:item/small_motor")
	i.create('netherite_rockcutter_blade').displayName('Netherite Rockcutter Blade').unstackable()
	i.create('dark_steel_rockcutter_blade').displayName('Dark Steel Rockcutter Blade').unstackable()
	i.create('rockcutter_blade').displayName('Rockcutter Blade').unstackable()
	i.create('clinker').displayName('Clinker')
	i.create('clay_mixture').displayName('Clay Mixture')
	i.create('paper_pulp').displayName('Paper Pulp')
	i.create('pile_of_paper').displayName('Pile of Paper')
	i.create('superconductor_ingot').displayName('Superconductor Ingot')
	i.create('superconductor_wire').displayName('Superconductor Wire')
	i.create('lignite_coke').displayName('Lignite Coke').burnTime(2134)
	i.create('anthracite_coke').displayName('Anthracite Coke').burnTime(6400)
	i.create('sugarcane_paper').displayName('Sugarcane Paper')

	//DUST

	i.create('petcoke_graphite_dust').displayName('Petcoke Graphite Dust')
	i.create('zinc_dust').displayName('Zinc Dust')
	i.create('chrome_dust').displayName('Chrome Dust')
	i.create('ruby_dust').displayName('Ruby Dust')
	i.create('dark_steel_dust').displayName('Dark Steel Dust')
	i.create('thallasium_dust').displayName('Thallasium Dust')

	//RAW

	i.create('raw_zinc').displayName('Raw Zinc')
	i.create('raw_copper').displayName('Raw Copper')
	i.create('raw_bauxite').displayName('Raw Bauxite')
	i.create('raw_silver').displayName('Raw Silver')
	i.create('raw_nickel').displayName('Raw Nickel')
	i.create('raw_tin').displayName('Raw Tin')
	i.create('raw_uranium').displayName('Raw Uranium')
	i.create('raw_lead').displayName('Raw Lead')
	i.create('raw_osmium').displayName('Raw Osmium')
	i.create('raw_charged_certus_quartz_crystal').displayName('Raw Charged Certus Quartz Crystal')
	i.create('raw_certus_quartz_crystal').displayName('Raw Certus Quartz Crystal')
	i.create('raw_chromite').displayName('Raw Chromite')
	i.create('raw_cryptic_redstone').displayName('Raw Cryptic Redstone')
	i.create('raw_lignite').displayName('Raw Lignite')
	i.create('raw_thallasium').displayName('Raw Thallasium')
	i.create('raw_fluorite').displayName('Raw Fluorite')
	i.create('raw_electrotine').displayName('Raw Electrotine')

	//PEBBLE

	i.create('pebble_slate').displayName('Pebble Slate')
	i.create('pebble_basalt').displayName('Pebble Basalt')
	i.create('pebble_basalt1').displayName('Pebble Basalt')
	i.create('pebble_basalt2').displayName('Pebble Basalt')
	i.create('pebble_blackstone').displayName('Pebble Blackstone')
	i.create('pebble_weathered_limestone').displayName('Pebble Weathered Limestone')
	i.create('pebble_quartzite').displayName('Pebble Quartzite')
	i.create('pebble_limestone2').displayName('Pebble Limestone')
	i.create('pebble_marble1').displayName('Pebble Marble')
	i.create('pebble_marble_2').displayName('Pebble Marble')
	i.create('pebble_limestone').displayName('Pebble Limestone')
	i.create('pebble_limestone1').displayName('Pebble Limestone')
	i.create('pebble_deepslate').displayName('Pebble Deepslate')
	i.create('pebble_gabbro').displayName('Pebble Gabbro')
	i.create('pebble_dolomite').displayName('Pebble Dolomite')
	i.create('pebble_marble').displayName('Pebble Marble')
	i.create('pebble_netherrack').displayName('Pebble Netherrack')
	i.create('pebble_blue_netherrack').displayName('Pebble Blue Netherrack')
	i.create('pebble_endstone').displayName('Pebble End Stone')
	i.create('pebble_cryptic_stone').displayName('Pebble Cryptic Stone')

	//PLATE

	i.create('compressed_aluminum_plate').displayName('Compressed Aluminum Plate')
	i.create('compressed_uranium_plate').displayName('Compressed Uranium Plate')
	i.create('compressed_steel_plate').displayName('Compressed Steel Plate')
	i.create('compressed_silver_plate').displayName('Compressed Silver Plate')
	i.create('compressed_nickel_plate').displayName('Compressed Nickel Plate')
	i.create('compressed_lead_plate').displayName('Compressed Lead Plate')
	i.create('compressed_iron_plate').displayName('Compressed Iron Plate')
	i.create('compressed_gold_plate').displayName('Compressed Gold Plate')
	i.create('compressed_electrum_plate').displayName('Compressed Electrum Plate')
	i.create('compressed_copper_plate').displayName('Compressed Copper Plate')
	i.create('compressed_constantan_plate').displayName('Compressed Constantan Plate')
	i.create('compressed_obsidian_plate').displayName('Compressed Obsidian Plate')
	i.create('obsidian_plate').displayName('Obsidian Plate')
	i.create('compressed_ultimate_alloy_plate').displayName('Compressed Ultimate Alloy Plate')
	i.create('dark_steel_plate').displayName('Dark Steel Plate')
	i.create('stainless_steel_plate').displayName('Stainless Steel Plate')
	i.create('stainless_steel_large_plate').displayName('Stainless Steel Large Plate')
	i.create('percing_stainless_steel_plate').displayName('Percing Stainless Steel Plate')

	//INCOMPLETE ITEMS

	i.create('incomplete_stainless_steel_casing').displayName('Incomplete Stainless Steel Casing').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_stainless_steel_casing")
	i.create('incomplete_inscriber').displayName('Incomplete Inscriber').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_inscriber")
	i.create('incomplete_inscriber_me_drive').displayName('Incomplete Inscriber ME Drive').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_me_drive")
	i.create('incomplete_cpu_crafting_unit').displayName('Incomplete CPU Crafting Unit').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_cpu_crafting_unit")
	i.create('incomplete_crafting_unit_casing').displayName('Incomplete Crafting Unit Casing').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_crafting_unit_casing")
	i.create('incomplete_crafting_co_processing_unit').displayName('Incomplete Co-Processing Unit').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_crafting_co_processing_unit")
	i.create('incomplete_crafting_monitor').displayName('Incomplete Crafting Monitor').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_crafting_monitor")
	i.create('incomplete_crafting_co_unit_casing').displayName('Incomplete Crafting Co-Processing Unit Casing').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_crafting_monitor")
	i.create('incomplete_quartz_growth_accelerator').displayName('Incomplete Quartz Growth Accelerator').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_quartz_growth_accelerator")
	i.create('incomplete_interface').displayName('Incomplete Interface').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_interface")
	i.create('incomplete_fluid_interface').displayName('Incomplete Fluid Interface').type('create:sequenced_assembly').parentModel("kubejs:item/incomplete_fluid_interface")

	//FOODS
	i.create('fricadelle').displayName('Fricadelle')
		.food(foodBuilder => {
			foodBuilder
				.hunger(16)
				.saturation(1.8)
				.alwaysEdible(false)
				.fastToEat(false)
		})
})